package com.casic.missiles.modular.web.service;

import com.baomidou.mybatisplus.service.IService;
import com.casic.missiles.core.base.response.SuccessResponseData;
import com.casic.missiles.modular.system.model.BusNbDevice;

import java.io.File;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author lwh123
 * @since 2018-11-16
 */
public interface IBusNbDeviceService extends IService<BusNbDevice> {

    /**
     * 根据数据权限查询分页列表
     * @param devcode  设备编号
     * @return
     */
    List<BusNbDevice> getListByDevcode(String devcode);

    /**
     * 单个设备注册
     * @param busNbDevice
     * @return
     */
    SuccessResponseData registDevice(BusNbDevice busNbDevice);

    /**
     * 批量注册
     * @param file
     * @return
     */
    SuccessResponseData registerDevices(File file);

    /**
     * 修改信息
     * @param busNbDevice
     * @return
     */
    SuccessResponseData updateDevice(BusNbDevice busNbDevice);

    /**
     * 删除设备
     * @param nbDeviceId
     * @return
     */
    SuccessResponseData deleteDevice(String nbDeviceId);

    List<String> addDeviceBatch(List<BusNbDevice> results);
}
